Plugins

As information about new vulnerabilities is discovered and released into the general public domain, Tenable Research designs programs to detect them. These programs are named plugins and are written in the Nessus Attack Scripting Language (NASL). The plugins contain vulnerability information, a simplified set of remediation actions and the algorithm to test for the presence of the security issue. Tenable Research has published 206309 plugins, covering 83612 CVE IDs and 30943 Bugtraq IDs.

Search

Newest

IDNameProductFamilySeverity
193357SUSE SLES15 Security Update : kernel (Live Patch 22 for SLE 15 SP4) (SUSE-SU-2024:1298-1)NessusSuSE Local Security Checks
high
193356SUSE SLED12 / SLES12 Security Update : webkit2gtk3 (SUSE-SU-2024:1293-1)NessusSuSE Local Security Checks
high
193355SUSE SLES15 Security Update : kernel (Live Patch 16 for SLE 15 SP4) (SUSE-SU-2024:1288-1)NessusSuSE Local Security Checks
high
193354SUSE SLES12 Security Update : texlive (SUSE-SU-2024:1296-1)NessusSuSE Local Security Checks
low
193353SUSE SLES15 Security Update : kernel (Live Patch 23 for SLE 15 SP4) (SUSE-SU-2024:1280-1)NessusSuSE Local Security Checks
high
193352SUSE SLED15 / SLES15 / openSUSE 15 Security Update : xen (SUSE-SU-2024:1295-1)NessusSuSE Local Security Checks
medium
193351SUSE SLED15 / SLES15 / openSUSE 15 Security Update : vim (SUSE-SU-2024:1287-1)NessusSuSE Local Security Checks
high
193350SUSE SLES15 Security Update : kernel (Live Patch 10 for SLE 15 SP4) (SUSE-SU-2024:1299-1)NessusSuSE Local Security Checks
high
193349SUSE SLES15 Security Update : kernel (Live Patch 19 for SLE 15 SP4) (SUSE-SU-2024:1292-1)NessusSuSE Local Security Checks
high
193348SUSE SLED15 / SLES15 / openSUSE 15 Security Update : emacs (SUSE-SU-2024:1294-1)NessusSuSE Local Security Checks
low

Updated

IDNameProductFamilySeverity
193323Oracle Linux 8 : gnutls (ELSA-2024-1784)NessusOracle Linux Local Security Checks
medium
502207Siemens Scalance W1750D Improper Input Validation (CVE-2023-45617)Tenable OT SecurityTenable.ot
high
502206Siemens Scalance W1750D Improper Input Validation (CVE-2023-45626)Tenable OT SecurityTenable.ot
high
502205Siemens Scalance W1750D Buffer Copy without Checking Size of Input (CVE-2023-35981)Tenable OT SecurityTenable.ot
critical
502204Siemens Scalance W1750D Buffer Copy without Checking Size of Input (CVE-2023-45614)Tenable OT SecurityTenable.ot
critical
502203Siemens Scalance W1750D Buffer Copy without Checking Size of Input (CVE-2023-35980)Tenable OT SecurityTenable.ot
critical
502202Siemens Scalance W1750D Improper Input Validation (CVE-2023-45624)Tenable OT SecurityTenable.ot
high
502201Siemens Scalance W1750D Improper Neutralization of Special Elements used in a Command (CVE-2023-45625)Tenable OT SecurityTenable.ot
high
502200Siemens Scalance W1750D Improper Input Validation (CVE-2023-45622)Tenable OT SecurityTenable.ot
high
502199Siemens Scalance W1750D Improper Input Validation (CVE-2023-45619)Tenable OT SecurityTenable.ot
high